On 2010/5/17 Patrick Janssen wrote:
> As a beginner, one of the difficulties I am having is navigating the data.
> Bottom up it seems ok - start from points, create geometry, then create
> topology
>
> p1 = gp_Pnt(0,0,0)
> p2 = gp_Pnt(0,0,10)
> handle_geom_trimmed_curve = GC_MakeSegment(p1, p2).Value()
> topods_edge = BRepBuilderAPI_MakeEdge(handle_geom_trimmed_curve).Edge()
> topods_wire = BRepBuilderAPI_MakeWire(topods_edge).Wire()
> topods_face = BRepBuilderAPI_MakeFace(topods_wire ).Face()
>
> But going the other way seems to be difficult. For example, if I start with
> the face, how do I get the wire, the edges and the curves? I don't see any
> methods to do this. I see something to do with TShape - but I am not sure
> what that is...
>
> handle_topods_tshape = topods_face.TShape()
> topods_tshape = handle_topods_tshape.GetObject()
> Any suggestions?

I do not yet know pythonocc, but in C++, you would use something like
  TopExp_Explorer myExp;
  for(myExp.Init(topods_face, TopAbs_EDGE);  myExp.More(); myExp.Next())
  {
    // do something with myExp.Current()
   }

Denis

_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to